#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_HeadData
{
	//ID
	int mID;
	//物品ID
	int mItemID;
	//道具类型
	int mType;
	//Vip等级获取
	int mVipGet;
	//获取路径
	int mRoute;
};

class M_Head
{
public:
private:
	static std::auto_ptr<M_Head> msSingleton;
public:
	int GetCount();
	const M_HeadData* GetData(int ID);
	boost::unordered_map<int, M_HeadData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_Head* GetSingleton();
private:
	boost::unordered_map<int, M_HeadData> mMapData;
};
